# BaseProtocolInputObject

class `propertyestimator.workflow.decorators.``BaseProtocolInputObject`(class_attribute)

  A custom decorator used to mark class attributes as either a required input, or output, of a protocol.

  Notes

  This decorator expects the protocol to have a matching private field in addition to the public attribute. For example if a protocol has an attribute substance, by default the protocol must also have a _substance field.

  `__init__`(class_attribute)

    Initialize self. See help(type(self)) for accurate signature.

  Methods

  `__init__`(class_attribute) | Initialize self.